#if !defined(AFX_COLUMNFORMATDLG_H__118448C1_B8AE_11D5_A5F2_00600816F009__INCLUDED_)
#define AFX_COLUMNFORMATDLG_H__118448C1_B8AE_11D5_A5F2_00600816F009__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "OpenDlg.h"


class CColumnFormatDlg : public CDialog
{
// Construction
public:
	CColumnFormatDlg(CWnd* pParent = NULL);   // standard constructor
	CColumnFormatDlg(CWnd* pParent, COpenDlg::CColumnData ColumnData);

// Attributes
public:
	CString m_sFieldName;
	CString m_sFieldFormat;
	CString m_sHeading;
	int m_iFormat;
	int m_iWidth;
	
// Dialog Data
	//{{AFX_DATA(CColumnFormatDlg)
	enum { IDD = IDD_COLUMNFORMAT };
	CEdit	m_ctrlFieldName;
	CEdit	m_ctrlFieldFormat;
	CEdit	m_ctrlHeading;
	CComboBox	m_ctrlFormat;
	CEdit	m_ctrlWidth;
	CButton	m_ctrlOK;
	CButton	m_ctrlCancel;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CColumnFormatDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CColumnFormatDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnKillFocusFieldFormat();
	afx_msg void OnKillFocusWidth();
	afx_msg void OnOK();
	afx_msg void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Attributes
private:
	COpenDlg* m_pOpenDlg;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COLUMNFORMATDLG_H__118448C1_B8AE_11D5_A5F2_00600816F009__INCLUDED_)
