#include "stdafx.h"
#include "SQLViewApp.h"
#include "ConnectDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CConnectDlg, CDialog)
	//{{AFX_MSG_MAP(CConnectDlg)
	ON_BN_CLICKED(ID_CONNECT_OK, OnOK)
	ON_BN_CLICKED(ID_CONNECT_CANCEL, OnCancel)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


CConnectDlg::CConnectDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConnectDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConnectDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


BOOL CConnectDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	LONG lValue = reinterpret_cast<LONG>(static_cast<CSQLViewApp*>(AfxGetApp())->m_hIcon);
	::SetClassLong(m_hWnd, GCL_HICON, lValue);
	
	if (!m_sServer.IsEmpty())
		m_ctrlServer.SetWindowText(m_sServer);

	if (!m_sLogin.IsEmpty())
		m_ctrlLogin.SetWindowText(m_sLogin);
	
	if (!m_sDatabase.IsEmpty())
		m_ctrlDatabase.SetWindowText(m_sDatabase);
	
	m_ctrlServer.SetFocus();

	return FALSE;
}


void CConnectDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConnectDlg)
	DDX_Control(pDX, ID_CONNECT_SERVER, m_ctrlServer);
	DDX_Control(pDX, ID_CONNECT_LOGIN, m_ctrlLogin);
	DDX_Control(pDX, ID_CONNECT_PASSWORD, m_ctrlPassword);
	DDX_Control(pDX, ID_CONNECT_DATABASE, m_ctrlDatabase);
	DDX_Control(pDX, ID_CONNECT_OK, m_ctrlOK);
	DDX_Control(pDX, ID_CONNECT_CANCEL, m_ctrlCancel);
	//}}AFX_DATA_MAP
}


void CConnectDlg::OnOK()
{
	m_ctrlServer.GetWindowText(m_sServer);
	m_ctrlLogin.GetWindowText(m_sLogin);
	m_ctrlPassword.GetWindowText(m_sPassword);
	m_ctrlDatabase.GetWindowText(m_sDatabase);

	m_sServer.TrimRight();
	m_sLogin.TrimRight();
	m_sDatabase.TrimRight();

	CDialog::OnOK();
}


void CConnectDlg::OnCancel() 
{
	CDialog::OnCancel();
}
