#include "stdafx.h"
#include "Details.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CDetails, CDialog)
	//{{AFX_MSG_MAP(CDetails)
	ON_BN_CLICKED(ID_DETAILS_OK, OnOK)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


CDetails::CDetails(LPCTSTR lpszMessage1, LPCTSTR lpszMessage2, LPCTSTR lpszMessage3) :
	CDialog(IDD, NULL),
	m_sMessage1(lpszMessage1),
	m_sMessage2(lpszMessage2),
	m_sMessage3(lpszMessage3)
{
	//{{AFX_DATA_INIT(CDetails)
	//}}AFX_DATA_INIT
}


void CDetails::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDetails)
	DDX_Control(pDX, ID_DETAILS_MESSAGE1, m_ctrlMessage1);
	DDX_Control(pDX, ID_DETAILS_MESSAGE2, m_ctrlMessage2);
	DDX_Control(pDX, ID_DETAILS_MESSAGE3, m_ctrlMessage3);
	DDX_Control(pDX, ID_DETAILS_OK, m_ctrlOK);
	//}}AFX_DATA_MAP
}


BOOL CDetails::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_ctrlMessage1.SetWindowText(m_sMessage1);
	m_ctrlMessage2.SetWindowText(m_sMessage2);
	m_ctrlMessage3.SetWindowText(m_sMessage3);

	m_ctrlOK.SetFocus();
	
	return FALSE;
}


void CDetails::OnOK() 
{
	CDialog::OnOK();
}