#if !defined(AFX_SQLTABLEDOC_H__0B007F81_BF18_11D5_A5F2_00600816F009__INCLUDED_)
#define AFX_SQLTABLEDOC_H__0B007F81_BF18_11D5_A5F2_00600816F009__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "TableDoc.h"

class CSQLTableView;


class CSQLTableDoc : public CTableDoc
{
protected:
	CSQLTableDoc();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CSQLTableDoc)

// Attributes
public:
	CSQLTableView* m_pSQLTableView;

// Operations
public:
	void OpenTable();

	BOOL Open(LPCTSTR lpszQuery,
		DWORD dwRowCount = 0,
		enum CursorTypeEnum enCursorType = adOpenForwardOnly,
		enum LockTypeEnum enLockType = adLockReadOnly,
		long lCacheSize = 1);
	void Close();
	_variant_t GetField(LPCTSTR lpszField);
	BOOL GetBOF();
	BOOL GetEOF();
	BOOL MoveNext();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSQLTableDoc)
	public:
	protected:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSQLTableDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CSQLTableDoc)
	afx_msg void OnOpen();
	afx_msg void OnClose();
	afx_msg void OnCallSeekItem();
	afx_msg void OnCallSetFilter();
	afx_msg void OnCallSetSort();
	afx_msg void OnCallEnableIteratorBar();
	afx_msg void OnUpdateOpen(CCmdUI* pCmdUI);
	afx_msg void OnUpdate(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Attributes
private:
	_RecordsetPtr m_pRecordSet;
	CString m_sEmptyTitle;

// Operations
	void ProcessError(_com_error&);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SQLTABLEDOC_H__0B007F81_BF18_11D5_A5F2_00600816F009__INCLUDED_)