#include "stdafx.h"
#include "SQLViewApp.h"
#include "SQLTableView.h"
#include "SetFilterDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CSetFilterDlg, CDialog)
	//{{AFX_MSG_MAP(CSetFilterDlg)
	ON_BN_CLICKED(ID_SETFILTER_OK, OnOK)
	ON_BN_CLICKED(ID_SETFILTER_CANCEL, OnCancel)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


CSetFilterDlg::CSetFilterDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetFilterDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetFilterDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


BOOL CSetFilterDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	CString sFilter;

	static_cast<CSQLViewApp*>(AfxGetApp())->m_pSQLTableView->
		GetFilter(sFilter);

	m_ctrlFilter.SetWindowText(sFilter);

	m_ctrlFilter.SetFocus();
	
	return FALSE;
}


void CSetFilterDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetFilterDlg)
	DDX_Control(pDX, ID_SETFILTER_CLAUSE, m_ctrlFilter);
	DDX_Control(pDX, ID_SETFILTER_OK, m_ctrlOK);
	DDX_Control(pDX, ID_SETFILTER_CANCEL, m_ctrlCancel);
	//}}AFX_DATA_MAP
}


void CSetFilterDlg::OnOK() 
{
	m_ctrlFilter.GetWindowText(m_sFilter);
	
	CDialog::OnOK();
}


void CSetFilterDlg::OnCancel() 
{
	CDialog::OnCancel();
}
