#include "stdafx.h"
#include "SQLViewApp.h"
#include "SQLTableView.h"
#include "SetSortDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CSetSortDlg, CDialog)
	//{{AFX_MSG_MAP(CSetSortDlg)
	ON_BN_CLICKED(ID_SETSORT_OK, OnOK)
	ON_BN_CLICKED(ID_SETSORT_CANCEL, OnCancel)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


CSetSortDlg::CSetSortDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetSortDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetSortDlg)
	//}}AFX_DATA_INIT
}


BOOL CSetSortDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	CString sSort;
	CString sSortFormat;
	CString sOptimizerHints;

	static_cast<CSQLViewApp*>(AfxGetApp())->m_pSQLTableView->
		GetSort(sSort, sSortFormat, 
		sOptimizerHints);

	m_ctrlSort.SetWindowText(sSort);
	m_ctrlSortFormat.SetWindowText(sSortFormat);
	m_ctrlOptimizerHints.SetWindowText(sOptimizerHints);
	
	m_ctrlSort.SetFocus();
	
	return FALSE;
}


void CSetSortDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetSortDlg)
	DDX_Control(pDX, ID_SETSORT, m_ctrlSort);
	DDX_Control(pDX, ID_SETSORT_FORMAT, m_ctrlSortFormat);
	DDX_Control(pDX, ID_SETSORT_HINTS, m_ctrlOptimizerHints);
	DDX_Control(pDX, ID_SETSORT_OK, m_ctrlOK);
	DDX_Control(pDX, ID_SETSORT_CANCEL, m_ctrlCancel);
	//}}AFX_DATA_MAP
}


void CSetSortDlg::OnOK()
{
	m_ctrlSort.GetWindowText(m_sSort);
	m_ctrlSortFormat.GetWindowText(m_sSortFormat);
	m_ctrlOptimizerHints.GetWindowText(m_sOptimizerHints);

	CDialog::OnOK();
}


void CSetSortDlg::OnCancel() 
{
	CDialog::OnCancel();
	
}
